## org.eclipse.jst.jsf.facesconfig.emf
Interface RedirectType

All Known Implementing Classes:
  RedirectTypeImpl

    public interface RedirectType

A representation of the model object 'Redirect Type'.

The following features are supported:

- `View Param`
- `Id`
- `Include View Params`

See Also:
  `FacesConfigPackage.getRedirectType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getViewParam()` Returns the value of the 'View Param' containment reference list.
`boolean` `isIncludeViewParams()` Returns the value of the 'Include View Params' attribute
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setIncludeViewParams(boolean value)` Sets the value of the '`Include View Params`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getViewParam

    EList getViewParam()

  Returns the value of the 'View Param' containment reference list. The list contents are of type `RedirectViewParamType`.

  If the meaning of the 'View Param' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'View Param' containment reference list.
  See Also:
    `FacesConfigPackage.getRedirectType_ViewParam()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getRedirectType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

### isIncludeViewParams

    boolean isIncludeViewParams()

  Returns the value of the 'Include View Params' attribute.

  If the meaning of the 'Include View Params' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Include View Params' attribute.
  See Also:
    `setIncludeViewParams(boolean)`, `FacesConfigPackage.getRedirectType_IncludeViewParams()`

### setIncludeViewParams

    void setIncludeViewParams(boolean value)

  Sets the value of the '`Include View Params`' attribute.

  Parameters:
    `value` - the new value of the 'Include View Params' attribute.
  See Also:
    `isIncludeViewParams()`